//
//  AudioDevice.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 15/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#include <CoreServices/CoreServices.h>
#include <CoreAudio/CoreAudio.h>

@interface AudioDevice : NSObject 
{
	AudioDeviceID mID;
	BOOL mIsInput;
	UInt32 mSafetyOffset;
	UInt32 mBufferSizeFrames;
	AudioStreamBasicDescription mFormat;		
}

- (id) initWithID: (AudioDeviceID) devid isInput: (BOOL) isInput;
- (void) setBufferSize: (UInt32) size;
- (int) countChannels;
- (NSString *) getDeviceUID;
- (NSString *) getDeviceName;
- (BOOL) isValid;

@end