//
//	SkypeConstants.h
//	SkypePlugin
//
//	Created by Brandon M. Holland on 15/01/08.
//	Copyright 2008 What a Nutbar Software. All rights reserved.
//

typedef enum
{ 
	scsOffline, 
	scsConnecting, 
	scsPausing, 
	scsOnline 
} SkypeConnectStatus;

typedef enum
{ 
	susOnline, 
	susSkypeMe, 
	susAway, 
	susNA, 
	susDND, 
	susInvisible,
	susOffline,  
	susUnknownStatus, 
	susLoggedOut, 
	susSkypeOut 
} SkypeStatus;

typedef enum
{ 
	scsUnplaced, 
	scsRouting, 
	scsRinging, 
	scsInProgress,
	scsOnHold,
	scsFinished,
	scsFailed,
	scsMissed,
	scsRefused,
	scsBusy,
	scsCancelled,
	scsEarlyMedia
} SkypeCallStatus;

typedef enum
{ 
	sctIncomingPhone,
	sctOutgoingPhone,
	sctIncomingSkype,
	sctOutgoingSkype
} SkypeCallType;

typedef enum
{ 
	scmNormalCall,
	scmTestCall,
	scmIncomingCall,
	scmPhoneCall
} SkypeCallMode;

typedef struct
{
	NSString *handle;
	NSString *result;
} SkypeUserResult;

typedef struct
{
	NSString *call;
	NSString *result;
} SkypeCallResult;

#define scSetUserAuthFormat @"SET USER %@ ISAUTHORIZED %@"
#define scSetProfileFormat @"SET PROFILE %@ %@"
#define scSetUserStatusFormat @"SET USERSTATUS %@"
#define scBlockUserFormat @"SET USER %@ ISBLOCKED %@"
#define scAddUserFormat @"SET USER %@ BUDDYSTATUS 2 %@"
#define scRemoveUserFormat @"SET USER %@ BUDDYSTATUS 1"
#define scCallUserFormat @"CALL %@"
#define scSetCallStatusFormat @"SET CALL %@ STATUS %@"
#define scSetCallSeenFormat @"SET CALL %@ SEEN"
#define scGetCallFormat @"GET CALL %@ %@"
#define scProfileGetFormat @"GET PROFILE %@"
#define scUserGetFormat @"GET USER %@ %@"
#define scGroupUsersGetFormat @"GET GROUP %@ USERS"
#define scCurrentHandleGet @"GET CURRENTUSERHANDLE"
#define scGroupSearchHard @"SEARCH GROUPS HARDWIRED"
#define scAudioInGet @"GET AUDIO_IN"
#define scAudioOutGet @"GET AUDIO_OUT"
#define scAudioInSetFormat @"SET AUDIO_IN %@"
#define scAudioOutSetFormat @"SET AUDIO_OUT %@"

#define scConnectStatus @"CONNSTATUS " 
#define scCurrentUserHandle @"CURRENTUSERHANDLE "
#define scUserStatus @"USERSTATUS "
#define scSkypeVersion @"SKYPEVERSION "
#define scUser @"USER "
#define scProfile @"PROFILE "
#define scGroups @"GROUPS "
#define scGroup @"GROUP "
#define scCall @"CALL "
#define scAudioOut @"AUDIO_OUT "
#define scAudioIn @"AUDIO_IN "

#define spUserFullname @" FULLNAME "
#define spUserMoodText @" MOOD_TEXT "
#define spUserOnlineStatus @" ONLINESTATUS "
#define spUserIsBlocked @" ISBLOCKED "
#define spUserIsAuthorized @" ISAUTHORIZED "
#define spUserAuthorization @" RECEIVEDAUTHREQUEST "
#define spUserBuddyStatus @" BUDDYSTATUS "
#define spProfileBalance @" PSTN_BALANCE "
#define spProfileCurrency @" PSTN_BALANCE_CURRENCY "
#define spGroupUsers @" USERS "
#define spCallStatus @" STATUS "
#define spCallType @" TYPE "
#define spCallDuration @" DURATION "
#define spCallHandle @" PARTNER_HANDLE "

#define svCallStatusUnPlaced @"UNPLACED"
#define svCallStatusRouting @"ROUTING"
#define svCallStatusRinging @"RINGING"
#define svCallStatusInProgress @"INPROGRESS"
#define svCallStatusOnHold @"ONHOLD"
#define svCallStatusFinished @"FINISHED"
#define svCallStatusFailed @"FAILED"
#define svCallStatusMissed @"MISSED"
#define svCallStatusRefused @"REFUSED"
#define svCallStatusBusy @"BUSY"
#define svCallStatusCancelled @"CANCELLED"
#define svCallStatusEarlyMedia @"EARLYMEDIA"

#define svCallTypeIncomingPhone @"INCOMING_PSTN"
#define svCallTypeOutgoingPhone @"OUTGOING_PSTN"
#define svCallTypeIncomingSkype @"INCOMING_P2P"
#define svCallTypeOutgoingSkype @"OUTGOING_P2P"

#define svConOffline @"OFFLINE"
#define svConConnecting @"CONNECTING"
#define svConPausing @"PAUSING"
#define svConOnline @"ONLINE"

#define svUsrOffline @"OFFLINE"
#define svUsrUnknown @"UNKNOWN"
#define svUsrOnline @"ONLINE"
#define svUsrSkypeMe @"SKYPEME"
#define svUsrAway @"AWAY"
#define svUsrNA @"NA"
#define svUsrDoNotDisturb @"DND"
#define svUsrInvisible @"INVISIBLE"
#define svUsrLoggedOut @"LOGGEDOUT"
#define svUsrSkypeOut @"SKYPEOUT"
