//
//  SkypePluginCall.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 20/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRCenteredMenuController.h>
#import "../Skype/SkypeConstants.h"

@class BRImageControl, BRTextControl, BRButtonControl, BRAdornedMenuItemLayer;

@interface SkypePluginCall : BRCenteredMenuController
{
	NSMutableArray *items;
	
	BRHeaderControl *header;
	BRImageControl *contactImage, *statusImage;
	BRTextControl *callNameLabel, *callMoodLabel, *callDurationLabel, *callStatusLabel;
	BRAdornedMenuItemLayer *endCallItem, *pauseCallItem, *acceptItem, *refuseItem;
	NSString *callHandle, *callFullName, *callMoodText;
	SkypeStatus callStatus;
	NSTimer *endTimer;
	SkypeCallMode callMode;
	BOOL callAccepted, callOnHold;
}
- (id) initWithScene: (BRRenderScene *) scene withHandle: (NSString *) handle status: (SkypeStatus) status 
	fullName: (NSString *) fullName moodText: (NSString *) moodText callMode: (SkypeCallMode) thisCallMode;
- (void) dealloc;
- (void) willBePopped;
- (void) willBeExhumed;
- (long) itemCount;
- (id <BRMenuItemLayer>) itemForRow: (long) row;
- (NSString *) titleForRow: (long) row;
- (long) rowForTitle: (NSString *) title;
- (void) itemSelected: (long) row;
@end
